summaryrefslogtreecommitdiff
path: root/localedata/sort-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'localedata/sort-test.sh')
-rw-r--r--localedata/sort-test.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/localedata/sort-test.sh b/localedata/sort-test.sh
new file mode 100644
index 0000000000..8ac41fce92
--- /dev/null
+++ b/localedata/sort-test.sh
@@ -0,0 +1,39 @@
+#! /bin/sh
+
+common_objpfx=$1; shift
+lang=$*
+
+id=${PPID:-100}
+here=`pwd`
+
+# Generate data files.
+for l in $lang; do
+ cns=`echo $l | sed 's/\(.*\)[.][^.]*/\1/'`
+ cn=locales/$cns
+ fn=charmaps/`echo $l | sed 's/.*[.]\([^.]*\)/\1/'`
+ LD_LIBRARY_PATH=$common_objpfx $common_objpfx/elf/ld.so \
+ $common_objpfx/locale/localedef --quiet -i $cn -f $fn \
+ $common_objpfx/localedata/$cns
+done
+
+# Run collation tests.
+status=0
+for l in $lang; do
+ cns=`echo $l | sed 's/\(.*\)[.][^.]*/\1/'`
+ LOCPATH=$common_objpfx/localedata LC_ALL=$cns \
+ LD_LIBRARY_PATH=$common_objpfx $common_objpfx/elf/ld.so \
+ $common_objpfx/localedata/collate-test $id < $cns.in \
+ > $common_objpfx/localedata/$cns.out || status=1
+ cmp -s $cns.in $common_objpfx/localedata/$cns.out || status=1
+
+ LOCPATH=$common_objpfx/localedata LC_ALL=$cns \
+ LD_LIBRARY_PATH=$common_objpfx $common_objpfx/elf/ld.so \
+ $common_objpfx/localedata/xfrm-test $id < $cns.in \
+ > $common_objpfx/localedata/$cns.xout || status=1
+ cmp -s $cns.in $common_objpfx/localedata/$cns.xout || status=1
+done
+
+exit $status
+# Local Variables:
+# mode:ksh
+# End: